Vigtigt: Vi har brug for fællesskabets hjælp til at finde inkompatible tilføjelsespakker

Dette indlæg omfatter brugere af NVDA, udviklere af tilføjelsespakker til NVDA samt udviklere af selve skærmlæseren.

Der er nogle tilføjelsespakker til NVDA, der ikke er kompatible med wxPython 4. Følgende tilføjelsespakker er i øjeblikket ikke kompatible med NVDA Next snapshots:

  • RSS Feeds
  • Braille Extender
  • Muligvis andre urapporterede tilføjelsespakker

Hvis du benytter NVDA Next snapshots, der benytter wxPython 4 og opdager at en eller flere tilføjelsespakker ikke virker eller skaber problemer, meldt venligst dette til resten af fællesskabet. På denne måde kan tilføjelsespakken markeres som inkompatibel, indtil udvikleren af tilføjelsespakken retter dette.

Desuden skal du også bemærke følgende opfordring:

  • Brugere: Rapportér venligst inkompatible tilføjelsesprogrammer snarest muligt, så fællesskabet kan meddele om kompatible og inkompatible tilføjelsesprogrammer. For at gøre dette skal du køre NVDA Next snapshots (den flytbare version vil fungere). Hvis udvikleren af tilføjelsespakken ikke reagerer på dine anmodninger om at opdatere tilføjelsen, skal du meddele det til resten af fællesskabet, så vi kan tage det derfra og tage kontakt til udvikleren, markere tilføjelsen som inkompatibel osv.
  • Udviklere af tilføjelsespakker: Hvis du modtager en rapport fra en bruger der ikke kan benytte din pakke pga. wxPython 4, opdater venligst din tilføjelse snarest muligt. Du kan senest udgive en opdatering til en version af NVDA, der kommer efterfølgende en aktuel stabil version (f.eks. hvis 2018.2 benytter wxPython 4, kan du senest opdatere din tilføjelsespakke d. 1. september 2018, eller når 2018.3 frigives). Dette gøres således vi kan sikre tilføjelsespakkerne virker for brugere uden problemer.
  • Primære udviklere: Hold venligst øje med problemer ang. wxPython 4
  • Oversættere: Informer venligst jeres lokale samfund om dette
  • Andre i fællesskabet: Hjælp venligst til, hvis du kan

Vi meddeler om dette, da alle tilføjelsespakker drives af fællesskabet. Dette betyder, at en fælles indsats er nødvendig for at bringe dem ajour. Vi vil gennemgå dette igen senere, men på en mere massiv skala, når vi overgår til Python 3.

Share